---

- name: "Clone asdf repository"
  git:
    repo: "https://github.com/asdf-vm/asdf.git"
    dest: "{{ ansible_user_dir }}/.asdf"
    version: "{{ asdf_version }}"

- name: Install asdf plugins
  loop: "{{ asdf_plugins }}"
  loop_control:
    loop_var: plugin
  include_tasks: ./include/asdf_plugin.yml

- name: Load asdf in .zshrc
  blockinfile:
    dest: "{{ ansible_user_dir }}/.zshrc"
    marker: "# {mark} ANSIBLE MANAGED BLOCK: asdf"
    block: |
      . $HOME/.asdf/asdf.sh
      . ~/.asdf/plugins/java/set-java-home.zsh
